Subject: bug#64735: 29.0.92; find invocations are ~15x slower because of ignores

From: [email-masked]
Date: Sat, 22 Jul 2023 10:42:06 +0000 (UTC)

Ihor Radchenko <[email-masked]> writes:
> Spencer Baugh <[email-masked]> writes:
>
>> - we could use our own recursive directory-tree walking implementation
>> (directory-files-recursively), if we found a nice way to pipe its output
>> directly to grep etc without going through Lisp.  (This could be nice
>> for project-files, at least)
>
> May you elaborate this idea?

One of the reasons directory-files-recursively is slow is because it
allocates memory inside Emacs.  If we piped its output directly to grep,
that overhead would be removed.

On reflection, though, as I've posted elsewhere in this thread: This is
a bad idea and is inherently slower than find, because
directory-files-recursively does not run in parallel with Emacs (and
never will).